const button = document.querySelector("button")
const elsoSzam = document.getElementById("elsoSzam")
const masodikSzam = document.getElementById("masodikSzam")
const eredmenyekDiv = document.getElementById("eredmenyek")
console.log(eredmenyekDiv.children);


button.addEventListener("click", () => {
    const elsoSzamValue = Number(elsoSzam.value)
    const masodikSzamValue = Number(masodikSzam.value)

    if (isNaN(elsoSzamValue) && isNaN(masodikSzamValue)) {
        alert("Nem számot adott meg valamelyik mezőben!")
        return
    }

    let eredmenyekDivChildren = Array.from(eredmenyekDiv.children)
    eredmenyekDivChildren.forEach(child => {
        eredmenyekDiv.removeChild(child)
    })


    let eredmenyekH1 = document.createElement("h1")
    eredmenyekH1.innerHTML = "Eredmények"
    eredmenyekDiv.appendChild(eredmenyekH1)


    let osszegP = document.createElement("p")
    osszegP.innerHTML = `Összeg: ${elsoSzamValue + masodikSzamValue}`
    eredmenyekDiv.appendChild(osszegP)


    let kulonbsegP = document.createElement("p")
    kulonbsegP.innerHTML = `Különbség: ${elsoSzamValue - masodikSzamValue}`
    eredmenyekDiv.appendChild(kulonbsegP)


    let szorzatP = document.createElement("p")
    szorzatP.innerHTML = `Szorzat: ${elsoSzamValue * masodikSzamValue}`
    eredmenyekDiv.appendChild(szorzatP)


    let hanyadosP = document.createElement("p")
    if (masodikSzamValue == 0) {
        hanyadosP.innerHTML = `Hányados: Nem lehetséges nullával osztani!`
        eredmenyekDiv.appendChild(hanyadosP)
        return
    }
    hanyadosP.innerHTML = `Hányados: ${elsoSzamValue / masodikSzamValue}`
    eredmenyekDiv.appendChild(hanyadosP)


    elsoSzam.value = ""
    masodikSzam.value = ""
})